# Questionnaire

The questions used in the CovApp are captured using the [Questionnaire resource type](https://www.hl7.org/fhir/r4/questionnaire.html). Each question has an associated code to indicate what information is being captured. For multiple-choice questions, the allowed codes are provided as [ValueSet resources](http://hl7.org/fhir/R4/valueset.html) – see the [value set section of this implementation guide](Valuesets).

The set of answers given to the questionnaire can be captured as a [QuestionnaireResponse resource](https://www.hl7.org/fhir/r4/questionnaireresponse.html). Below, we provide one example of a possible set of answers. To link it to the matching Questionnaire, the field `questionnaire` in the QuestionnaireResponse resource points to the canonical URL of the Questionnaire (including the version, after the pipe symbol "|"). The structure of the QuestionnaireResponse matches that of the Questionnaire. In particular, the `linkId` entry  for an answer matches that of the corresponding question. 

## COVID-19 questionnaire

Questionnaire resource representing the questionnaire used for patient assessment in the CovApp.

* **English** {{link:covid-19-assessment-questionnaire-en}}
* **German** {{link:covid-19-assessment-questionnaire-de}}

## Example questionnaire response

A QuestionnaireResponse representing an example of a response to the COVID-19 assessment questionnaire.

* **English** {{link:covid-19-assessment-questionnaireresponse-example-en}}
* **German** {{link:covid-19-assessment-questionnaireresponse-example-de}}