# Terminology

This section contains the terminology resources used in the questionnaire, code systems and value sets. They are used for assigning unambiguous codes to questions and answers in order to indicate what information is being captured. This is important to ensure that the data can be correctly interpreted and analyzed.

Wherever possible, we have used the standard code systems [LOINC](https://loinc.org/) and [SNOMED CT](https://www.snomed.org/snomed-ct/five-step-briefing). For SNOMED CT codes, we have limited ourselves to codes in the freely available [SNOMED Global Patient Set (GPS)](http://www.snomed.org/snomed-international/learn-more/global-patient-set), so that all codes can be used without a paid license. See the [value sets page](Valuesets) and [code systems page](Codesystems) in this implementation guide for further details.

Note that each ValueSet resource exists in both a German and an English version.
